//
//  Scanbot Barcode Scanner SDK Flutter Plugin
//
//  Copyright (c) 2020 doo GmbH. All rights reserved.
//  https://scanbot.io/sdk
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKOrientationLock {
    static func orientationModeFrom (orientationString: String) -> SBSDKOrientationLock {
        switch orientationString {
        case "NONE": return .none
        case "PORTRAIT": return .portrait
        case "LANDSCAPE": return .landscape
        default:
            return .none
        }
    }
}
