package io.scanbot.sdk.flutter.camera.config

import io.scanbot.sdk.ui.camera.FinderAspectRatio

class FinderConfig {
    // The finder view rectangular overlay border width
    var finderLineWidth: Float? = null

    // The finder view rectangular overlay border color
    var finderLineColor: String? = null

    // The overlay background color, around the finder view rectangle
    var finderBackgroundColor: String? = null

    // The overlay background color opacity, around the finder view rectangle

    // The finder view rectangle aspect ratio
    var finderAspectRatio: FinderAspectRatio? = null

    // The finder view insets
    var finderInsets: FinderInset? = null
}

// Finder inset class
class FinderInset (
    val left:Int?,
    val top:Int?,
    val right:Int?,
    val bottom:Int?)

