//
//  Scanbot Barcode Scanner SDK Flutter Plugin
//
//  Copyright (c) 2020 doo GmbH. All rights reserved.
//  https://scanbot.io/sdk
//

import Foundation

extension CGPoint {
    var encodedDictionary: [String: Any] {
        return ["x": self.x, "y": self.y]
    }
    
    init?(from dictionary: [String: Any]) {
        guard let x = dictionary["x"] as? CGFloat, let y = dictionary["y"] as? CGFloat else {
            return nil
        }
        self.init(x: x, y: y)
    }
}
